<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package shizzo
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-article'); ?>>
	<?php if(has_post_thumbnail()): ?>
		<div class="post-thumbnail">
			<?php the_post_thumbnail(); ?>
		</div>
	<?php endif; ?>
	<header class="entry-header">
		<?php
		if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;
		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php shizzo_posted_on(); ?>
			<?php edit_post_link('<i class="fa fa-pencil"></i>'.__('Edit post', 'shizzo')); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
			if( is_single() )
			{
				the_content();
			}
			else
			{
				the_excerpt();
			}
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'shizzo' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php 
			if( !is_single() ) 
				echo '<div class="read-more"><a href="'.get_the_permalink().'" class="btn btn-cta">'.esc_html__('Read More', 'shizzo').'</a></div>';				
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
